###############################################################################
# SimpleSpoiler.pl                                                            #
###############################################################################
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
# Version:        YaBB 2.0                                                    #
# Released:       September 29, 2005                                          #
# Distributed by: http://www.yabbforum.com                                    #
# =========================================================================== #
# Copyright (c) 2000-2005 YaBB (www.yabbforum.com) - All Rights Reserved.     #
# Software by: The YaBB Development Team                                      #
#              with assistance from the YaBB community.                       #
# Sponsored by: Xnull Internet Media, Inc. - http://www.ximinc.com            #
#               Your source for web hosting, web design, and domains.         #
###############################################################################
# Mod Name:     Simple Spoiler 2                                              #
# Mod Version:  2.4                                                           #
# Release Date: October 17, 2005                                              #
# Description:  A simple tag that allows users to hide text for all to see.   #
# Written by:   Kong (http://www.3dxl.com)                                    #
###############################################################################

if($action eq 'detailedversion') { return 1; }

&LoadLanguage("SimpleSpoiler");

if (!-e("$vardir/SimpleSpoiler.txt"))  {
	$FORM{'template_all'} = 1;
	&SpoilerSet2;
}

require "$vardir/SimpleSpoiler.txt";

sub SpoilerSet { 

	if($template_all == 1) { $disabled = "disabled"; $checked = "checked"; }

	$yymain .= qq~

<form name="simplespoiler2" action="$adminurl?action=simplespoiler2" method="post" onsubmit="saveTemplateSettings();">
 <div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
   <table width="100%" cellspacing="1" cellpadding="4">
     <tr valign="middle">
       <td align="left" class="titlebg">
		 <img src="$imagesdir/preferences.gif" alt="" border="0" /><b>$simplespoilertxt{'6'}</b>
	   </td>
     </tr>
     <tr align="center" valign="middle">
       <td align="left" class="catbg"><span class="small">$simplespoilertxt{'1'} $simplespoilertxt{'2'}</span>
	   </td>
     </tr>
     <tr valign="middle">
       <td align="left" class="windowbg2"><br />
		  $simplespoilertxt{'3'}<br /><br /><br />
		<div class="setting_cell">$simplespoilertxt{'10'}</div>
		<div class="setting_cell2"><input type="checkbox" name="template_all" $checked onclick="checkDisabled();"></div>
		<span class="small">$simplespoilertxt{'7'}</span>
		<input type="hidden" name="savetemplate" value=""><br /><br />
	~;

	&CheckNewTemplates;

	unless ($templatesloaded == 1) {
		require "$vardir/template.cfg";
	}
	$default_templatefix = $default_template;
	$default_templatefix =~ s~ ~_~g;
	while (($curtemplate, $value) = each(%templateset)){
		$curtemplatefix = $curtemplate;
		$curtemplatefix =~ s~ ~_~g;
		$selected = "";
		$templatecolors .= qq~
		<input type="hidden" name="background_$curtemplatefix" value="$background{$curtemplatefix}">
		<input type="hidden" name="border_$curtemplatefix" value="$border{$curtemplatefix}">
		~;
		$jsvars .= qq~
		if(document.simplespoiler2.savetemplate.value == "$curtemplatefix") {
			document.simplespoiler2.background_$curtemplatefix.value = document.simplespoiler2.spoilerbackground.value;
			document.simplespoiler2.border_$curtemplatefix.value = document.simplespoiler2.spoilerborder.value;
		}
		~;
		if($curtemplate eq $default_template) { $selected = qq~selected="selected"~; }
		$drawndirs .= qq~<option value="$curtemplatefix" $selected>$curtemplate</option>\n~;
	}
	
	$yymain .= $templatecolors;

	$yymain .= qq~

	<script language="JavaScript1.2" type="text/javascript">
	<!--

	function checkDisabled () {
		if (document.simplespoiler2.template_all.checked == true) { document.simplespoiler2.templates.disabled = true; }
		if (document.simplespoiler2.template_all.checked == false) { document.simplespoiler2.templates.disabled = false; }
	}

	function changeTemplate () {

		if(document.simplespoiler2.savetemplate.value == "") {
			document.simplespoiler2.savetemplate.value = "$default_templatefix";
		}

		saveTemplateSettings();

		template = document.simplespoiler2.templates.value;

		temp_background = 'document.simplespoiler2.background_' + template + '.value';
		temp_background = eval(temp_background);
		temp_border = 'document.simplespoiler2.border_' + template + '.value';
		temp_border = eval(temp_border);

		document.simplespoiler2.spoilerbackground.value = temp_background;
		document.simplespoiler2.spoilerborder.value = temp_border;

		document.simplespoiler2.savetemplate.value = document.simplespoiler2.templates.value;
	}

	function saveTemplateSettings() {

	if(document.simplespoiler2.savetemplate.value == "") {
		document.simplespoiler2.savetemplate.value = "$default_templatefix";
	}

	$jsvars

	}
	//-->
	</script>

		<div class="setting_cell">$simplespoilertxt{'11'}</div>
		<div class="setting_cell2"><select name="templates" $disabled onchange="changeTemplate();">$drawndirs</select></div>
	~;

	$yymain .= qq~
		<br /><br />
		<div class="setting_cell">$simplespoilertxt{'4'}</div>
		<div class="setting_cell2"><input type="text" name="spoilerbackground" size="10" maxlength="7" value="$background{$default_templatefix}" /></div>
	<br />
		<div class="setting_cell">$simplespoilertxt{'5'}</div>
		<div class="setting_cell2"><input type="text" name="spoilerborder" size="10" maxlength="7" value="$border{$default_templatefix}" /></div>
	<br />
	   </td>
     </tr>
   </table>
 </div>

<br />

 <div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
   <table width="100%" cellspacing="1" cellpadding="4">
     <tr valign="middle">
       <td align="center" class="catbg">
		 <input type="submit" value="$admin_txt{'10'}" />
	   </td>
     </tr>
   </table>
 </div>
</form>

	~;

	$yytitle = $admin_txt{'222'};
	$action_area = "simplespoiler";
	&AdminTemplate;
	exit;

}

sub SpoilerSet2 {

	&is_admin_or_gmod;

	$template_all = $FORM{'template_all'} ? 1 : 0;

	$default_templatefix = $default_template;
	$default_templatefix =~ s~ ~_~g;

	if($template_all == 1) {
		$background{'$default_templatefix'} = $FORM{'spoilerbackgroundfix'} || '#C8DDF0';
		$border{'$default_templatefix'} = $FORM{'spoilerborderfix'} || '#34689A';

		$colorsettings .= qq~
\$background{'$default_templatefix'} = "$background{'$default_templatefix'}";
\$border{'$default_templatefix'} = "$border{'$default_templatefix'}";
		~;
	} else {
		&CheckNewTemplates;

		unless ($templatesloaded == 1) {
			require "$vardir/template.cfg";
		}
		while (($curtemplate, $value) = each(%templateset)){
			$curtemplatefix = $curtemplate;
			$curtemplatefix =~ s~ ~_~g;
			$background{'$curtemplatefix'} = $FORM{"background_$curtemplatefix"};
			$border{'$curtemplatefix'} = $FORM{"border_$curtemplatefix"};

			$colorsettings .= qq~
\$background{'$curtemplatefix'} = "$background{'$curtemplatefix'}";
\$border{'$curtemplatefix'} = "$border{'$curtemplatefix'}";
			~;
		}
	}

	my $setfile = << "EOF";
###############################################################################
# SimpleSpoiler.txt (Simple Spoiler color definitions)                        #
###############################################################################
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
# Version:        YaBB 2.0                                                    #
# Released:       September 29, 2005                                          #
# Distributed by: http://www.yabbforum.com                                    #
# =========================================================================== #
# Copyright (c) 2000-2005 YaBB (www.yabbforum.com) - All Rights Reserved.     #
# Software by: The YaBB Development Team                                      #
#              with assistance from the YaBB community.                       #
# Sponsored by: Xnull Internet Media, Inc. - http://www.ximinc.com            #
#               Your source for web hosting, web design, and domains.         #
###############################################################################
# Mod Name:     Simple Spoiler 2                                              #
# Mod Version:  2.4                                                           #
# Release Date: October 17, 2005                                              #
# Description:  A simple tag that allows users to hide text for all to see.   #
# Written by:   Kong (http://www.3dxl.com)                                    #
###############################################################################

########## Simple Spoiler Colors ##########

\$template_all = $template_all;				# Use 1 set of colors for all templates (1 = on, 0 = off)
$colorsettings

1;
EOF

	fopen(SPOILER_SETTINGS, ">$vardir/SimpleSpoiler.txt");
	print SPOILER_SETTINGS $setfile;
	fclose(SPOILER_SETTINGS);

	if ($action eq "simplespoiler2") {
		$yySetLocation = qq~$adminurl~;
		&redirectexit;
	}

}

1;