<id>
Simple Spoiler 2
</id>

<version>
2.4
</version>

<mod info>
This mod will add a simple spoiler tag to YaBB.

This mod need to edit the ubbc.js and yabbc.js, put them in your Yabb folder for installation mod to work.

Install the mod.
Upload the SimpleSpoiler directory with spoiler.gif and spoiler-midtext.gif files to your YaBBFiles/ModImages directory
Upload SimpleSpoiler.lng to your YaBB2/Languages/English directory
Upload SimpleSpoiler.pl to you Yabb2/Admin directory
Upload ubbc.js and yabbc.js files to your YaBBFiles directory.
Go to the Admin Center and run Simple Spoiler setup.
Then have fun :)

Thanks to Michael Prager for helping me solve a problem with this latest version.

History:
v2.4  - Fixed Private Message indexes so Spoilers are not displayed
v2.3  - Fixed a problem resulting to no access for anyone but already logged in Admins to forum
      - Moved coding out of SimpleSpoiler.pl and into Subs.pl
      - Moved SimpleSpoiler.pl back to Admin directory
v2.2  - Updated it so it was compatible with YaBB 2 Final
      - Removed some text from coding and added to Language file
      - Moved some coding from YaBB.pl to SimpleSpoiler.pl
      - Fixed a bug caused by template names with spaces
      - Moved SimpleSpoiler.pl from Admin directory to Source directory
v2.1  - Added support for multiple templates
v2.0d - Updated it so it is compatible with RC3 Build 071805
v2.0c - Fixed some problems with casesensitivity.  All folders and files (other than images) should now have uppercase letters like so SimpleSpoiler
v2.0b - Made some small changes and added version information to ModList in Admin Center
v2.0a - Fixed a problem with YaBB taking you back to Admin Center upon running SimpleSpoiler Settings on first time.
v2.0  - Modified for YaBB2
      - Added ability to use spoilers in mid-sentence by using [spoiler midtext] tag, there is no button for this
v1.1  - Added ability to specify spoiler tag color via Forum Preferences and Settings (AdminEdit.pl)
v1.0  - Created Spoiler Tag mod for use on 3DXL forums
</mod info>

<author>
Kong - kong@3dxl.com
</author>

<homepage>
http://www.3dxl.com
</homepage>





<edit file>
YaBB.pl
</edit file>

<search for>
&WhatLanguage;        # Figure out which language file we should be using! :D
</search for>

<add after>
&SetSpoilerColors;    # Load Simple Spoiler 2 Colors
</add after>





<edit file>
AdminIndex.pl
</edit file>

<search for>
### BOARDMOD ANCHOR ###
</search for>

<add after>

	$simplespoiler = "simplespoiler|Simple Spoiler 2|Simple Spoiler 2|";
	push (@boardmod_mods, "$simplespoiler");
</add after>





<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
 	$simplespoiler = "Simple Spoiler 2|Kong|This mod Adds a simple spoiler tag to YaBB allowing users to essencially hide text from being read unless you take the mouse and highlight the text.|2.4|October 17, 2005";
	push (@installed_mods, "$simplespoiler");
</add before>





<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
%director=(
</search for>

<add after>
'simplespoiler',"SimpleSpoiler.pl&SpoilerSet",
'simplespoiler2',"SimpleSpoiler.pl&SpoilerSet2",
</add after>





<edit file>
Sources/Post.pl
</edit file>

<search for>
LoadLanguage("FA");
</search for>

<add after>
LoadLanguage("SimpleSpoiler");
</add after>

<search for>
		<div style="width: 484px; clear: both;">
		<div style="width: 391px; float:left;">
</search for>

<replace>
		<div style="width: 507px; clear: both;">
		<div style="width: 414px; float:left;">
</replace>

<search for>
          document.write("<img src='$defaultimagesdir/timestamp.gif' onclick='timestamp($date);' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'245'}' title='$post_txt{'245'}' border='0' /><br />");
</search for>

<replace>
          document.write("<img src='$defaultimagesdir/timestamp.gif' onclick='timestamp($date);' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'245'}' title='$post_txt{'245'}' border='0' />");
          document.write("<img src='$modimgurl/SimpleSpoiler/spoiler.gif' onclick='spoiler();' "+HAND+" align='top' width='23' height='22' alt='$simplespoilertxt{'8'}' title='$simplespoilertxt{'8'}' border='0' /><br />");
</replace>

<search for>
          document.write("<img src='$defaultimagesdir/me.gif' onclick='me();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'604'}' title='$post_txt{'604'}' border='0' />");
</search for>

<add after>
          document.write("<img src='$modimgurl/SimpleSpoiler/spoiler-midtext.gif' onclick='spoiler2();' "+HAND+" align='top' width='23' height='22' alt='$simplespoilertxt{'9'}' title='$simplespoilertxt{'9'}' border='0' />");
</add after>

<search for>
var parseflash = '$parseflash';
</search for>

<add after>
var spoilercolor1 = "$color{'spoilerbackground'}";
var spoilercolor2 = "$color{'spoilerborder'}";
</add after>

<search for>
		var ubbstr = jsDoUbbc(vismessage,codestr,quotstr,squotstr,edittxt,dispname,scrpurl,imgdir,ubsmilieurl,parseflash,fontsizemax,fontsizemin,autolinkurl);
</search for>

<replace>
		var ubbstr = jsDoUbbc(vismessage,codestr,quotstr,squotstr,edittxt,dispname,scrpurl,imgdir,ubsmilieurl,parseflash,fontsizemax,fontsizemin,autolinkurl,spoilercolor1,spoilercolor2);
</replace>





<edit file>
Sources/InstantMessage.pl
</edit file>

<search for>
LoadLanguage("InstantMessage");
</search for>

<add after>
LoadLanguage("SimpleSpoiler");
</add after>

<search for>
		$quoteimg = "";
		$codeimg  = "";
</search for>

<add after>
		$spoilerimg = "";
</add after>

<search for>
		if ($immessage =~ /\[quote(.*?)\]/isg) {
			$quoteimg = qq~<img src=$imagesdir\/quote.gif alt="$inmes_imtxt{'69'}" \/>&nbsp;~;
			$immessage =~ s/\[quote(.*?)\](.+?)\[\/quote\]//ig;
		}
		if ($immessage =~ /\[code\]/isg) {
			$codeimg = qq~<img src=$imagesdir\/code1.gif alt="$inmes_imtxt{'84'}" \/>&nbsp;~;
			$immessage =~ s/\[code\](.+?)\[\/code\]//ig;
		}
</search for>

<add after>
		if ($immessage =~ /\[spoiler(.*?)\]/isg) {
			$spoilerimg = qq~<img src=$modimgurl\/SimpleSpoiler/spoiler-im.gif alt="$simplespoilertxt{'12'}" \/>&nbsp;~;
			$immessage =~ s/\[spoiler(.*?)\](.+?)\[\/spoiler\]//ig;
		}
</add after>

<search for>
		$immessage = qq~$quoteimg$codeimg $immessage~;
</search for>

<replace>
		$immessage = qq~$quoteimg$codeimg$spoilerimg $immessage~;
</replace>





<edit file>
Sources/YaBBC.pl
</edit file>

<search for>
	$message =~ s~\[pre\](.+?)\[/pre\]~'<pre>' . dopre($1) . '</pre>'~iseg;
</search for>

<add before>
	$message =~ s~\[spoiler\](.+?)\[/spoiler\]~<b>Spoiler: </b><br /><div style="width: 90%; padding: 4px; border: 1px $color{'spoilerborder'} solid; font-family: Verdana, Helvetica, Arial; font-weight: normal; font-style: normal; font-size: 11px; background-color: $color{'spoilerbackground'}; color: $color{'spoilerbackground'};">$1</div>~isg;
	$message =~ s~\[spoiler midtext\](.+?)\[/spoiler\]~<span style="border: 1px $color{'spoilerborder'} solid; font-family: Verdana, Helvetica, Arial; font-size: 11px; background-color: $color{'spoilerbackground'}; color: $color{'spoilerbackground'};">$1</span>~isg;

</add before>





<edit file>
Sources/Subs.pl
</edit file>

<search for>
1;
</search for>

<add before>

sub SetSpoilerColors {

	if (-e("$vardir/SimpleSpoiler.txt"))  {
		require "$vardir/SimpleSpoiler.txt";
	}
	if($template_all ne 1) {
		$templatefix = $template;
		$templatefix =~ s~ ~_~g;
		$color{'spoilerbackground'} = $background{$templatefix};
		$color{'spoilerborder'} = $border{$templatefix};
	} else {
		$default_templatefix = $default_template;
		$default_templatefix =~ s~ ~_~g;
		$color{'spoilerbackground'} = $background{$default_templatefix};
		$color{'spoilerborder'} = $border{$default_templatefix};		
	}
}

</add before>





<edit file>
yabbc.js
</edit file>

<search for>
function jsDoUbbc(ubbcstr,codestrg,quotstrg,squotstrg,editxt,dspname,scriptul,imagesdir,smilieurl,parsflash,fontmax,fontmin,autolinkurls) {
</search for>

<replace>
function jsDoUbbc(ubbcstr,codestrg,quotstrg,squotstrg,editxt,dspname,scriptul,imagesdir,smilieurl,parsflash,fontmax,fontmin,autolinkurls,spoilercolor1,spoilercolor2) {
</replace>

<search for>
	ubbcstr=ubbcstr.replace(/\[\/glow\]/ig, " [/glow]");
</search for>

<add after>
	ubbcstr=ubbcstr.replace(/\[spoiler\]/ig, " [spoiler]");
	ubbcstr=ubbcstr.replace(/\[spoiler midtext\]/ig, " [spoiler midtext]");
	ubbcstr=ubbcstr.replace(/\[\/spoiler\]/ig, " [/spoiler]");
</add after>

<search for>
	ubbcstr=ubbcstr.replace(/\[font=(.+?)\](.+?)\[\/font\]/ig, "<span style='font-family:$1'>$2</span>");
</search for>

<add after>

	ubbcstr=ubbcstr.replace(/\[spoiler\](.+?)\[\/spoiler\]/ig, "<b>Spoiler: </b><br /><div style='width: 90%; padding: 4px; border: 1px " + spoilercolor2 + " solid; font-family: Verdana, Helvetica, Arial; font-weight: normal; font-style: normal; font-size: 11px; background-color: " + spoilercolor1 + "; color: " + spoilercolor1 + ";'>$1</div>");
	ubbcstr=ubbcstr.replace(/\[spoiler midtext\](.+?)\[\/spoiler\]/ig, "<span style='border: 1px " + spoilercolor2 + " solid; font-family: Verdana, Helvetica, Arial; font-size: 11px; background-color: " + spoilercolor1 + "; color: " + spoilercolor1 + ";'>$1</span>");
</add after>





<edit file>
ubbc.js
</edit file>

<search for>
function cry() {
	AddText(" :'(");
}
</search for>

<add after>

function spoiler() {
	AddSelText("[spoiler]","[/spoiler]");
}

function spoiler2() {
	AddSelText("[spoiler midtext]","[/spoiler]");
}
</add after>
